> For the complete documentation index, see [llms.txt](https://developer.ivvy.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.ivvy.com/notifications/companies-endpoint.md).

# Company Endpoint

This notification will be sent when a company has been modified or created.

* Company has been updated.
* Company has been created.
* Company has been deleted.

## Company has been created.

### Subject

CompanyAdded

### Body

```json
{
    "data": {... JSON Response from getCompany API }
}
```

## Company has been updated.

### Subject:

CompanyUpdated

### Body

```json
{
    "data": {... JSON Response from getCompany API },
    "previousData": {... Previous Data in JSON which has been just updated }
}
```

## Company has been deleted.

### Subject

CompanyDeleted

### Body

```json
{
    "companyId": 123
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.ivvy.com/notifications/companies-endpoint.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
